\name{Binary.points}
\alias{Binary.points}
\title{
Funkcja pomocnicza Binary.points
}
\description{
Binary.points jest funkcja pomocnicza, ktora sluzy do rysowania wartosci godziny, minuty oraz sekundy jako punktow w systemie binarnym. 

}
\usage{
Binary.points(x, k, ...)
}
\arguments{
  \item{x}{
liczba dwucyfrowa ktora chcemy narysowac
}
  \item{k}{
pozycja (w poziomie) od ktorej mamy narysowac
}
  \item{\dots}{
parametry graficzne przekazywane do funkcji \code{\link{points}}
}
}
\details{
Funkcja ta zostala napisana dla liczb dwucyfrowych. Dzieli ona liczbe dwucyfrowa na cyfry a nastepnie korzysta z funkcji \code{\link{Binary.representation}} do rozkladu cyfr zapisanych w postaci dziesietnej na binarna. Liczby z wyrysowanych punktow odczytuje sie kolumnami - gdzie punkt na poziomie m odpowiada temu, ze w reprezentacji binarnej danej liczby jest na m-tym miejscu jedynka.
}
\value{
Funkcja nie zwraca wartosci, wynikiem jej wykonania jest wywolanie funkcji \code{\link{points}}
}
\author{
Michal Kijowski
}

\examples{
# Wywolanie i skonfigurowanie nowego okna graficznego
plot.new()
plot.window(xlim=c(0.5,8.5), ylim=c(0.5,4.5))
# Wyswietlenie "podkladu"
rect(0.5,0.5,2.5,4.5, col="blue")
rect(3.5,0.5,5.5,4.5, col="blue")
rect(6.5,0.5,8.5,4.5, col="blue")
# Wyrysowanie punktow odpowiadajacych liczbom: 23 12 33
Binary.points(23,1,cex=2, pch=22, bg="black")
Binary.points(12,4,cex=2, pch=22, bg="black")
Binary.points(33,7,cex=2, pch=22, bg="black")
# Dodanie tekstu
mtext(c("H","H","M","M","S","S"), side=1, at=c(1,2,4,5,7,8), las=1, cex=2, col="red")
mtext(c("1","2","4","8"), side=2, at=c(1,2,3,4), las=1, cex=2, col="red")
}

\keyword{ ~binary }
